### Function

# Pango.default_break

#### Declaration [src]

    void
    pango_default_break (
      const gchar* text,
      int length,
      PangoAnalysis* analysis,
      PangoLogAttr* attrs,
      int attrs_len
    )

#### Description [src]

This is the default break algorithm.

It applies Unicode rules without language-specific tailoring, therefore the `analyis` argument is unused and can be `NULL`.

See `pango_tailor_break()` for language-specific breaks.

#### Parameters

`text` | `const gchar*`
| text to break. Must be valid UTF-8
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`length` | `int`
| length of text in bytes (may be -1 if `text` is nul-terminated)
`analysis` | `PangoAnalysis`
| a `PangoAnalysis` for the `text`
| Can be `NULL`
| Ownership is not transferred to the callee
`attrs` | `PangoLogAttr`
| logical attributes to fill in
| Ownership is not transferred to the callee
`attrs_len` | `int`
| size of the array passed as `attrs`